glibc ,ch6 complains gcc is too old

Paul Campbell paul at multimedia-campbell.com
Tue Nov 18 07:03:33 PST 2003


Just a quick note and I can't confirm it as I deleted the system...

I tried to build LFS-5.0pre3 on Mandrake 8.2 and received the error (during
chapter 5) that "This version of Glibc cannot be built with the version of
gcc installed, suggest you upgrae" or words to that effect.

I can't even reattempt the build, case I removed mandrake completely in
favour of an LFS5.0 I compiled and installed over network.

Chris Lingard wrote:

> michael wrote:
> 
>> root:/sources/glibc-build# ../glibc-2.3.2/configure --prefix=/usr \
>>>     --disable-profile --enable-add-ons \
>>>     --libexecdir=/usr/bin --with-headers=/usr/include
>> checking build system type... i686-pc-linux-gnu
>> checking host system type... i686-pc-linux-gnu
>> checking sysdep dirs... sysdeps/i386/elf
>> linuxthreads/sysdeps/unix/sysv/linux/i386
>> linuxthreads/sysdeps/unix/sysv/linux linuxthreads/sysdeps/pthread
>> sysdeps/pthread linuxthreads/sysdeps/unix/sysv linuxthreads/sysdeps/unix
>> linuxthreads/sysdeps/i386/i686 linuxthreads/sysdeps/i386
> 
>> checking for make... make
> 
>> SORRY to throw all this awful stuff at you,but i wouldn't be accused of
>> sending too little output..about the previous problems with LFS,they
>> mysteriously disappeared as i applied my usual brute force method of
>> erasing and starting over--i'm plotting my progress with every new
>> try,and
> 
> It is probably because your grep/egrep does not work; pleae check
> that it works, and is not remake it.




More information about the lfs-support mailing list